View Issue Details

IDProjectCategoryView StatusLast Update
0017072MediaMonkey 5Now Playingpublic2021-11-16 16:16
ReporterLudek Assigned To 
PriorityurgentSeveritymajorReproducibilityhave not tried
Status assignedResolutionreopened 
Product Version5.0 
Target Version5.0.3Fixed in Version5.0 
Summary0017072: Micro Player: stops responding & other issues
DescriptionThere are several issues with Micro Player reported (including crash) here:
https://www.mediamonkey.com/forum/viewtopic.php?f=30&t=97699
Additional Information1. If I close the micro player with it's little x on the right, it tries to shut down the Windows OS ... I get this dbox
2. sometimes followed by these crashes, which were sent to you
3. missing MM4 functionality ... the MM4 players allowed me to adjust the volume, and had a tooltip showing me how this worked ... I can't find these things in the MM5 version ... the mini players seems to have nothing to control volumw, and the microplayer has nothing either, the only thing I see is in the the server icon. in the closed area of the taskbar, but that is a multi-click menu item, rather than I convenient fader that I can drag with the mouse
4. missing MM4 functionality ... in MM4 I could toggle to see full size art, in MM5 I cannot
5. I have MM5 Tools|Layout|Player configured to show stop buttons, but there is no stop button on mini|micro players
6. both mini & micro players are super flaky ... after playing with it a little the mini bar opens but is not usable because most controls are in invisible, see these three examples ... and the micro player easily gets into a state where it opens, but is invisible ... it is not easy to recover from either if these situations ... I send a debug log to Ludek ... both of my screens have the same dimensions, which is the default setting for my panels, and I have text size at 100%
TagsNo tags attached.
Fixed in build2294

Relationships

related to 0016476 closedpetr Micro player do not work after latest update for Windows 10 1909 
related to 0017386 closedpetr Pop-up stops displaying artwork after track that's missing artwork 
has duplicate 0017430 resolveddrakinite Metro M: MIcro Player locks and MM can't be restored 
related to 0017338 closedpetr Toast messages cut off in MicroPlayer 
related to 0017408 resolvedpetr MiniPlayer: UI stops responding 
related to 0017537 newpetr Visual issues with MicroPlayer 
related to 0018283 feedbackpetr Crash or Black screen on resume from sleep/hibernation (5.0.2 logi ID 4AD4000) 

Activities

petr

2020-11-24 09:50

developer   ~0060363

Last edited: 2020-11-24 09:51

View 2 revisions

re1. that's strange as mini player close button actually call closeWindow command same as close button on main window ... do not know how it's possible to call windows shutdown with this code ...

Ludek

2020-11-24 11:45

developer   ~0060369

Last edited: 2020-11-24 16:16

View 2 revisions

Re. 1) The issue happens with MircroPlayer, not MiniPlayer.

2) The crash appears when I close the shutdown dialog and find MM icon in the system tray and double-click the icon.
=> MM window appears, but crashes with 6D2BA4DA

petr

2020-11-24 13:21

developer   ~0060370

re 1) fixed

Ludek

2020-11-24 16:59

developer   ~0060373

Last edited: 2020-11-24 17:08

View 2 revisions

I can confirm that items 1&2 are fixed on the current SVN sources.

6) I can replicate this when playing with seekbar on the micro player. The first two or three seeks works, but the fourth seek in a row causes the micro player be unclickable and also the whole micro player disappears.

petr

2020-11-25 17:16

developer   ~0060380

Last edited: 2020-11-25 18:02

View 2 revisions

Item 3) fixed
item 4) fixed
item 5) fixed

drakinite

2020-11-25 23:41

developer   ~0060381

re: 1, additional issue: closing miniplayer completely closes MM instead of minimizing to tray, even if the Close to tray option is enabled.

rusty

2020-12-16 18:04

administrator   ~0060811

Resolving for testing (since the remaining issue is minor and can be tracked for the future as a lower priority issue).

peke

2020-12-21 17:31

developer   ~0060998

Last edited: 2020-12-21 17:33

View 2 revisions

Verified 3-5 in 2288

1. is moved to new bug 0017272

2. Unable to reproduce, most likely fixed along other fixes.

lowlander

2021-01-06 18:40

developer   ~0061176

Last edited: 2021-01-06 18:45

View 2 revisions

6) I've seen the MicroPlayer disappear to. Resizing the Toolbar causes this. Recovery is easy though with right click MediaMonkey Tray Icon > Restore. It can also become unrespons
7) Yesterday the MicroPlayer was black (I'm using Material Design (Dark)), but today it opened with a greyish background (after MM restart). And then it returned to black after many times switching.

rusty

2021-01-06 19:51

administrator   ~0061182

Re. 6) I can't replicate this. BUT, I did notice that if one instance of MM fails to close completely, and a second instance is launched, that the MicroPlayer doesn't display. e.g.
Run MM
Switch to MicroPlayer
Close MM via the MicroPlayer
Launch MM
Switch to MicroPlayer
--> it appears blank
I'm not sure if that's what you're experiencing, but you may want to check in process explorer to see if multiple instances of MM are causing the problem.

Ludek

2021-01-08 18:43

developer   ~0061238

Last edited: 2021-01-08 18:56

View 4 revisions

6) I can still replicate this as described in my note 0017072:0060373
The key factor to replicate for me is to drag the seekbar on the micro player and seek several times. After several seeks and drags (from 6 times to 10 times) the micro player just freezes and is unclickable.
If I restore the MM5 window via tray icon and switch back to micro player then the micro player finally disapears permanently.

EDIT: Seems to be a conflict between MicroPlayer and Pop-up display. The bug appears only when Pop-up display is shown (on track transition).
Surprisingly if I disabled Options > Player > Pop-up disaply > [ ] Pop-up files info ... and restarted MM5 then the MicroPlayer never appears, even after restart of MM5!

petr

2021-01-13 22:30

developer   ~0061320

Fixed

lowlander

2021-01-14 20:15

developer   ~0061329

Last edited: 2021-01-14 20:47

View 2 revisions

On 2294:
1) Opening/closing Playing list repeatedly froze the MicroPlayer
2) Switching to Main Window then back to MicroPlayer after this shows no MicroPlayer

New log in same place.

rusty

2021-01-15 06:29

administrator   ~0061367

Last edited: 2021-01-15 14:28

View 3 revisions

In testing this further in 2295, I'm seeing 3 issues that hopefully will provide a clue (the numbers refer to the repro steps in which the issue was found):
#3a) MediaMonkey can take several minutes to close after album art popups appear
#4a) Duplicate Popups appear if the user runs MM, initiates playback, minimizes to the microplayer, hovers on the microplayer, and presses NEXT when the popup appears.
#4c) If the user performs the steps from 4a and additionaly clicks the seekbar, then in addition to Duplicate Popups, MM takes a few minutes to close and locks the tasbar when it is in this state.

I don't know what's going on 'under the hood' but it looks like the Popups are what cause MM to sometimes not close properly (regardless of whether the MicroPlayer is used or not), and that when the Popups appear in conjunction with the MicroPlayer, the bug manifests even worse, sometimes causing the originally reported bug (frozen microplayer) and sometimes causing the taskbar to freeze completely.

rusty

2021-01-19 06:28

administrator   ~0061440

Note: the fix at 0017400 also seems to resolve issue #3a but not #4c.

rusty

2021-01-20 17:14

administrator   ~0061472

Last edited: 2021-01-20 18:19

View 3 revisions

I believe I've found the steps to replicate this most consistently--they're very similar to the steps that trigger the issue for the MiniPlayer at 0017408:0061470 :

1 Play list of audio tracks
2 Minimize to MicroPlayer
3 Hover mouse over the MicroPlayer to cause the Popup to appear
4 Click on the Popup (which causes it to close)
5 Click on MicroPlayer controls
--> MicroPlayer UI is locked

Note: this doesn't always occur but is the most successful method I've observed to trigger the bug


EDIT: one hour later, and I'm no longer able to replicate in this manner :-(